summarylogtreecommitdiffstats
path: root/groovebasin.install
diff options
context:
space:
mode:
authorChristoph Gysin2015-02-19 08:52:52 +0200
committerChristoph Gysin2015-06-14 12:19:14 +0300
commit540086d007e785dc3c0ce389c9877056cdebc644 (patch)
treebfc95aaccc52dc8716313005bd8d9afbf8002654 /groovebasin.install
downloadaur-540086d007e785dc3c0ce389c9877056cdebc644.tar.gz
initial commit
Diffstat (limited to 'groovebasin.install')
-rw-r--r--groovebasin.install11
1 files changed, 11 insertions, 0 deletions
diff --git a/groovebasin.install b/groovebasin.install
new file mode 100644
index 00000000000..3ac9f3ef45c
--- /dev/null
+++ b/groovebasin.install
@@ -0,0 +1,11 @@
+post_install() {
+ getent group groovebasin &>/dev/null || groupadd -r -g 49 groovebasin >/dev/null
+ getent passwd groovebasin &>/dev/null || useradd -r -u 49 -g groovebasin -d /var/lib/groovebasin -s /bin/false -G audio groovebasin >/dev/null
+ usr/bin/systemd-tmpfiles --create groovebasin.conf || true
+}
+
+post_remove() {
+ getent passwd groovebasin &>/dev/null && userdel groovebasin >/dev/null
+ getent group groovebasin &>/dev/null && groupdel groovebasin >/dev/null
+ true
+}